<!DOCTYPE html>
<html lang="en">

<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">

    <title>Doge Meme Generator</title>

    <link href="https://fonts.googleapis.com/css?family=Nunito:400,900" rel="stylesheet" />
    <link rel="stylesheet" href="https://stackpath.bootstrapcdn.com/bootstrap/4.3.1/css/bootstrap.min.css"
        integrity="sha384-ggOyR0iXCbMQv3Xipma34MD+dH/1fQ784/j6cY/iJTQUOhcWr7x9JvoRxT2MZw1T" crossorigin="anonymous" />
    <link rel="stylesheet" href="styles/main.css" />
</head>

<body>
    <div class="container-fluid text-center">

        <h1 class="pt-5 pb-3">Very Meme. Such Doge.</h1>
        <div class="col">
            <img class="doge" src="images/doge-original.jpg" alt="the doge" />
            <!-- <span>Put Meme Words Here</span> -->
        </div>
        <div class="col py-5">
            <form class="add-items">
                <input type="text" name="item" placeholder="Item Name" required>
                <input type="submit" value="+ Add Item">
            </form>

            <!-- <form class="inputs">
                <h5 class="pb-2">Input Meme Words:</h5>
                <input class="meme-input" type="text" name="input-1" placeholder="wow" />
                <input class="meme-input" type="text" name="input-2" placeholder="very" />
                <input class="meme-input" type="text" name="input-3" placeholder="such" />
                <input class="meme-input" type="text" name="input-4" placeholder="many" />

                <div class="col py-3">
                    <input type="submit" value="Meme It">
                    <button type="button" name="reset">Reset</button>
                </div>
            </form> -->

            <div>
                <p class="meme-output"></p>
            </div>
        </div>
    </div>

    <script>
        /* 
        1. Select input, button
        2. Write function to return text value on form submit
        3. Add event listener for submit button
        4. Create an empty span for the inputed text to live
        5. Write a function that takes the returned text and adds it to the span
        6. Do this for all four inputs
        7. Select reset button
        8. Write a function that resets the inputs and deletes text
        9. Position the spans on the meme image
        10. Write a function that generates a random color and adds color to the span text
        */

        // const memeInput = document.querySelector('input[name="input-1"]');
        // const memeOutput = document.querySelector('p.meme-output');
        // const memeItBtn = document.querySelector('input[type="submit"]');

        const addItems = document.querySelector('.add-items');
        
        function addItem(e) {
            e.preventDefault();
            const text = (this.querySelector('[name=item]')).value;
            const item = {
            text,
            done: false
            };
            console.log(e);

        }

        // function addInputs() {
        //     console.log("This button worked!");
        // }

        addItems.addEventListener('submit', addItem);
        // memeItBtn.addEventListener('submit', addInputs);

    </script>

</body>

</html>